local _, L = ...;
local ver = GetAddOnMetadata("Stone Guard Danger Announce","Version") or "Manual 5.1-0001"

local sdaOpt = CreateFrame("Frame", "SDAConfig", InterfaceOptionsFramePanelContainer)
sdaOpt:Hide()
sdaOpt.name = "Stone Guard Danger Announce"

sdaOpt:SetScript("OnShow", function()
	if sdaSavedOpt then
		SDAConfig_LockWindow:SetChecked(sdaSavedOpt["lockWindow"])
		SDAConfig_DisplayRaidWarning:SetChecked(sdaSavedOpt["displayRaidWarning"])
	end
end)

local title = sdaOpt:CreateFontString(nil, "ARTWORK", "GameFontNormalLarge")
title:SetPoint("TOPLEFT", 16, -16)
title:SetText("|cFF99CC33Stone Guard Danger Announce|r [|cFFDF2B2B"..ver.."|r]")
InterfaceOptions_AddCategory(sdaOpt)

--[[Lock Window]]--
local SDA_LockWindow_Opt = CreateFrame("CheckButton", "SDAConfig_LockWindow", sdaOpt, "OptionsBaseCheckButtonTemplate")
SDA_LockWindow_Opt:SetPoint("TOPLEFT", 16, -45)
SDA_LockWindow_Opt:SetScript("OnClick", function(frame)
	if sdaSavedOpt then
		if frame:GetChecked() then
			PlaySound("igMainMenuOptionCheckBoxOn")
			sdaSavedOpt["lockWindow"] = true
		else
			PlaySound("igMainMenuOptionCheckBoxOff")
			sdaSavedOpt["lockWindow"] = false
		end
	end
end)
local SDA_LockWindow_OptText = SDA_LockWindow_Opt:CreateFontString(nil, "ARTWORK", "GameFontHighlight")
SDA_LockWindow_OptText:SetPoint("LEFT", SDA_LockWindow_Opt, "RIGHT", 0, 1)
SDA_LockWindow_OptText:SetText(L["Lock the SDA Message window"])

--[[Display Raid Warning]]--
local SDAConfig_DisplayRaidWarning_Opt = CreateFrame("CheckButton", "SDAConfig_DisplayRaidWarning", sdaOpt, "OptionsBaseCheckButtonTemplate")
SDAConfig_DisplayRaidWarning_Opt:SetPoint("TOPLEFT", 16, -73)
SDAConfig_DisplayRaidWarning_Opt:SetScript("OnClick", function(frame)
	if sdaSavedOpt then
		if frame:GetChecked() then
			PlaySound("igMainMenuOptionCheckBoxOn")
			sdaSavedOpt["displayRaidWarning"] = true
		else
			PlaySound("igMainMenuOptionCheckBoxOff")
			sdaSavedOpt["displayRaidWarning"] = false
		end
	end
end)
local SDAConfig_DisplayRaidWarning_OptText = SDAConfig_DisplayRaidWarning_Opt:CreateFontString(nil, "ARTWORK", "GameFontHighlight")
SDAConfig_DisplayRaidWarning_OptText:SetPoint("LEFT", SDAConfig_DisplayRaidWarning_Opt, "RIGHT", 0, 1)
SDAConfig_DisplayRaidWarning_OptText:SetText(L["Display messages on Raid Warning Channel"])

